## org.apache.batik.ext.awt.image.spi
Interface RegistryEntry

All Known Subinterfaces:
  StreamRegistryEntry, URLRegistryEntry

All Known Implementing Classes:
  AbstractRegistryEntry, JDKRegistryEntry, MagicNumberRegistryEntry

public interface RegistryEntry

The base interface for all image tag registry entries. To be useful you probably need to implement on of the flavors of registry entries (such as StreamRegistryEntry or URLRegistryEntry).

Method Summary
`java.lang.String` `getFormatName()` Returns the name of the format.
`java.util.List` `getMimeTypes()` Return a List of mime types for this file format.
`float` `getPriority()` Returns a search priority for this entry.
`java.util.List` `getStandardExtensions()` Return a List of the common extensions for this file format.

Method Detail

### getStandardExtensions

    public java.util.List getStandardExtensions()

  Return a List of the common extensions for this file format. The first entry in the list may be used as the default extension for writing files in this format (when we add support for writing that is). This may also be used to build a selection expression for finding files of this type.

### getMimeTypes

    public java.util.List getMimeTypes()

  Return a List of mime types for this file format. The first entry in the list may be used as the default mime type.

### getFormatName

    public java.lang.String getFormatName()

  Returns the name of the format. For example "JPEG", "PNG", ...

### getPriority

    public float getPriority()

  Returns a search priority for this entry. For most formats this is not important, but in some cases it is important that some entries occure before or after others.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.